Get a page of shipping ports

​

Query Parameters

  • The page index of the search.

  • The number of shipping ports to be returned in the response. Returns pages of up to 500 records.

  • The search text to filter shipping ports by. This can be all or part of a shipping port name, code or country.

Responses

  • application/json
Request Example for get/v1/shipping-ports
curl 'https://api.consignlyhq.com/v1/shipping-ports?PageIndex=1&PageSize=25&SearchText=Japan%2C%20or%2C%20JP%20returns%20all%20ports%20with%20country%20Japan%20or%20port%20code%20starting%20with%20JP'
{
  "index": 1,
  "total": 1,
  "shippingPorts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": null,
      "name": null,
      "country": null
    }
  ]
}